package com.bytedance.android.livesdk.livesetting.performance;

import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_play_enforce_interval_setting")
public final class LivePlayEnforceIntervalSetting {
    @Group(isDefault = true, value = "default group")
    public static final long DEFAULT = 15000;
    public static final LivePlayEnforceIntervalSetting INSTANCE = new LivePlayEnforceIntervalSetting();

    static {
        Covode.recordClassIndex(18161);
    }

    public final long getValue() {
        return SettingsManager.INSTANCE.getLongValue(LivePlayEnforceIntervalSetting.class);
    }
}
